load 'mcycle.txt'

mcycle(:, 2) = mcycle(:, 2) / 10;


data = mcycle(:, 2);
target = mcycle(:,3);
target = target - mean(target);
%timepoint = zeros(1, 500);
%for i = 1:50
%    timepoint(((i-1)*10+1):(i*10)) = i;
%end
%timepoint = 1:length(y);

ypred = linspace(-120, 110, 51);

burnin = 3000;
numbofits = 10000;
every = 3;


[fpred, uniquedata, holdM, holdsigmasq_stat, holdlengthscale, mupred] = normal_GaussP(data, target, ypred, burnin, numbofits, every);

figure(1)
pcolor(uniquedata, ypred, fpred')
shading flat
hold on
plot(data, target, '.')
hold off

figure(2)
plot(ypred, fpred)

figure(3)
plot(holdM)

figure(4)
plot(holdsigmasq_stat)

figure(5)
plot(holdlengthscale)

low = zeros(1, 94);
upp = zeros(1, 94);
med = zeros(1, 94);
for i = 1:94
    quan = quantile(mupred(i, :), [0.025 0.5 0.975]);
    low(i) = quan(1);
    med(i) = quan(2);
    upp(i) = quan(3);
end
figure(6)
fill([1:94 94:-1:1],[low upp(end:-1:1)],[0.8 0.8 0.8])
hold on
plot(1:94, med, 'k-')
hold off

save('results_mcycle.mat','ypred','fpred','holdM','holdsigmasq_stat','holdlengthscale','mupred');
